package org.jivesoftware.smackx.ikey;

import org.jivesoftware.smackx.ikey.element.IkeyElement;
import org.jxmpp.jid.EntityBareJid;

import java.io.IOException;

public interface IkeyStore {

    IkeyElement loadIkeyRecord(EntityBareJid jid) throws IOException;

    void storeIkeyRecord(EntityBareJid jid, IkeyElement record) throws IOException;
}
